<?php

include 'text.php';
include 'floform.php';
include 'button.php';
include 'shape.php';
include 'image.php';
include 'video.php';
include 'line.php';
include 'vector.php';
include 'embed.php';
include 'logo.php';
include 'countdown.php';
include 'menuElement.php';
include 'socialLinks.php';
include 'search.php';
include 'accordion.php';

function elementTypesRenderElement($type, $b, $element, $custom_classes, $elStyles, $colors, $viewport) {
  if ($type === 'floform') {
    return renderFloFormElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'text') {
    return renderTextElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'button') {
    return renderButtonElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'shape') {
    return renderShapeElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'image') {
    return renderImageElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'video') {
    return renderVideoElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'line') {
    return renderLineElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'vector') {
    return renderVectorElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'embed') {
    return renderEmbedElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'logo') {
    return renderLogoElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'countdown') {
    return renderCountdownElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'menu') {
    return renderMenuElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'socialLinks') {
    return renderSocialLinksElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'search') {
    return renderSearchElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
  if ($type === 'accordion') {
    return renderAccordionElement($b, $element, $custom_classes, $elStyles, $colors, $viewport);
  }
}
